from axelrod.action import Action
from axelrod.player import Player
lIlIlIIIIIIIllIIIIl, IlIllllIllIIIlIlIIl = Action.C, Action.D
class lIlllllllIIIIllIlIlI(Player):
    IlIllllI = "strategy"
    IlIlIIllI = {
        "memory_depth": float("inf"),
        "stochastic": True,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def lllllIIlIllI(IIlllIIIlIIIIlIl, IIlllIIIIlIlIllIIlll: Player) -> Action:
        IlIlIIlIllllIIl = len(IIlllIIIlIIIIlIl.history) + 1
        llllIlIIlIllII = 1 - IlIlIIlIllllIIl / 1000
        return IIlllIIIlIIIIlIl._random.random_choice(llllIlIIlIllII)